%define	pdir	Text
%define	pnam	Iconv
%define name	perl-%pdir-%pnam
%define version 1.2
%define release 2mdk

Summary:	Text::Iconv perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 5.6.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Url: http://www.cpan.org

%description
This module provides a Perl interface to the iconv() codeset
conversion function, as defined by the Single UNIX Specification. For
more details see the POD documentation embedded in the file Iconv.pm,
which will also be installed as Text::Iconv(3) man page.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT

%make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Text/Iconv.pm
%{perl_vendorarch}/auto/Text/Iconv/autosplit.ix
%{perl_vendorarch}/auto/Text/Iconv/*.so
%{_mandir}/man3pm/*

%changelog
* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-2mdk
- rebuild for rpm and glibc

* Thu Aug 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-1mdk
- 1st mdk release from pld
